import { EventEmitter } from "../../stencil-public-runtime";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Customer, Order } from "@payfunc/model";
export declare class IntergiroCustomerTableRow {
  t: langly.Translate;
  customer?: Customer;
  orders?: Order[] | undefined;
  selected?: boolean;
  opened: string;
  whitelist: boolean;
  columnClicked: EventEmitter;
  customerSelected: EventEmitter;
  notice: EventEmitter<Notice>;
  element: HTMLIgCustomerTableRowElement;
  componentWillLoad(): void;
  private handleColumnClick;
  handleSelected(e: UIEvent): void;
  render(): any[] | null;
  sendLogin(): Promise<void>;
}
